/**
 * Copyright (c) 2006 - 2008 Smaxe Ltd (www.smaxe.com).
 * All rights reserved.
 */
package script;

import com.smaxe.app.uv.agent.RtmpClientScript;
import com.smaxe.uv.stream.MediaStreamInfo;

import java.util.Map;

/**
 * <code>PlayStreamScript</code>
 * <p> Behaviour:
 * <br> - Client connects to the server and starts stream playback on successfull connection
 * (stream name is defined in the "streamToPlay" property)
 * <br> - Client disconnects from the server after stream playback is stopped/completed.
 * 
 * @author Andrei Sochirca
 */
public final class PlayStreamScript extends RtmpClientScript
{
    /**
     * Constructor.
     */
    public PlayStreamScript()
    {
    }
    
    @Override
    public void onConnect(final String code, final Map<String, Object> info)
    {
        super.onConnect(code, info);
        
        play((String) properties().get("streamToPlay"));
    }
    
    @Override
    public void onPlayStop(final String stream, final MediaStreamInfo info)
    {
        super.onPlayStop(stream, info);
        
        disconnect();
    }
}