/**
 * Copyright (c) 2006 - 2008 Smaxe Ltd (www.smaxe.com).
 * All rights reserved.
 */
package script;

import com.smaxe.app.uv.agent.RtmpClientScript;

import java.util.Map;

/**
 * <code>PublishStreamScript</code>
 * <p> Behaviour:
 * <br> - Client connects to the server and publishes stream on successfull connection
 * (stream name is defined in the "streamToPublish" property, stream source is a local flv file)
 * <br> - Client disconnects from the server after stream publish is stopped/completed.
 * 
 * @author Andrei Sochirca
 */
public final class PublishStreamScript extends RtmpClientScript
{
    /**
     * Constructor.
     */
    public PublishStreamScript()
    {
    }
    
    @Override
    public void onConnect(final String code, final Map<String, Object> info)
    {
        super.onConnect(code, info);
        
        publish((String) properties().get("streamToPublish") + "_" + getClientId(),
                -1, PUBLISH_MODE_LIVE);
    }
    
    @Override
    public void onPublishStop(final String stream)
    {
        super.onPublishStop(stream);
        
        disconnect();
    }
}